Documents
Authorizations
Query parameters
limitinteger · min: 1 · max: 1000OptionalDefault:
Maximum number of items to return (1-1000)
10cursorstringOptional
Cursor for pagination. Use the value from the 'nextCursor' field of the previous response.
Responses
200
Successful response
application/json
400
Bad request
application/json
401
Unauthorized
application/json
500
Internal server error
application/json
get/createDocuments
GET /createDocuments HTTP/1.1
Accept: */*
{
"data": [
{
"contentType": "text",
"fileID": "text",
"fileSize": 1,
"filename": "text",
"isProposalExecutionFailed": true,
"isProposalResolved": false,
"proposalExecutionErrorText": "text",
"repositoryID": "123e4567-e89b-12d3-a456-426614174000",
"requestID": "123e4567-e89b-12d3-a456-426614174000",
"subjectID": "123e4567-e89b-12d3-a456-426614174000"
}
],
"pagination": {
"hasMore": true,
"limit": 1,
"nextCursor": "text",
"total": 1
}
}Authorizations
Path parameters
idstringRequired
CreateDocumentProposal ID
Responses
200
Successful response
application/json
contentTypestringOptional
fileIDstringRequired
fileSizeinteger · int32Required
filenamestringOptional
isProposalExecutionFailedbooleanRead-onlyRequired
isProposalResolvedbooleanRead-onlyRequiredExample:
falseproposalExecutionErrorTextstringRead-onlyOptional
repositoryIDstring · uuidRequired
requestIDstring · uuidRead-onlyRequired
subjectIDstring · uuidRequired
401
Unauthorized
application/json
404
Not found
application/json
500
Internal server error
application/json
get/createDocuments/{id}
GET /createDocuments/{id} HTTP/1.1
Accept: */*
{
"contentType": "text",
"fileID": "text",
"fileSize": 1,
"filename": "text",
"isProposalExecutionFailed": true,
"isProposalResolved": false,
"proposalExecutionErrorText": "text",
"repositoryID": "123e4567-e89b-12d3-a456-426614174000",
"requestID": "123e4567-e89b-12d3-a456-426614174000",
"subjectID": "123e4567-e89b-12d3-a456-426614174000"
}Authorizations
Query parameters
limitinteger · min: 1 · max: 1000OptionalDefault:
Maximum number of items to return (1-1000)
10cursorstringOptional
Cursor for pagination. Use the value from the 'nextCursor' field of the previous response.
Responses
200
Successful response
application/json
400
Bad request
application/json
401
Unauthorized
application/json
500
Internal server error
application/json
get/deleteDocuments
GET /deleteDocuments HTTP/1.1
Accept: */*
{
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"isProposalExecutionFailed": true,
"isProposalResolved": false,
"proposalExecutionErrorText": "text",
"repositoryID": "123e4567-e89b-12d3-a456-426614174000",
"requestID": "123e4567-e89b-12d3-a456-426614174000"
}
],
"pagination": {
"hasMore": true,
"limit": 1,
"nextCursor": "text",
"total": 1
}
}Authorizations
Path parameters
idstringRequired
DeleteDocumentProposal ID
Responses
200
Successful response
application/json
idstring · uuidRequired
isProposalExecutionFailedbooleanRead-onlyRequired
isProposalResolvedbooleanRead-onlyRequiredExample:
falseproposalExecutionErrorTextstringRead-onlyOptional
repositoryIDstring · uuidRequired
requestIDstring · uuidRead-onlyRequired
401
Unauthorized
application/json
404
Not found
application/json
500
Internal server error
application/json
get/deleteDocuments/{id}
GET /deleteDocuments/{id} HTTP/1.1
Accept: */*
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"isProposalExecutionFailed": true,
"isProposalResolved": false,
"proposalExecutionErrorText": "text",
"repositoryID": "123e4567-e89b-12d3-a456-426614174000",
"requestID": "123e4567-e89b-12d3-a456-426614174000"
}Last updated
Was this helpful?